package syncloud.storage;

/**
* @author Boris Rybalkin
*         Date: 11/7/11
*/
public enum ErrorCode {
    Unknown(0), AuthenticationFailed(1), TransportError(2), NotFound(3), InvalidPath(4), NotAuthenticated(5), UnableToCreateFolder(6);

    private int code;

    ErrorCode(int code){
        this.code = code;
    }

    public int getCode() {
        return code;
    }
}
