package syncloud.storage;

public class UserConfig {
    private boolean runWebServer;
    private int webServerPort;
    private boolean runSynchronization;
    private int syncPeriod;

    public static UserConfig Default() {
        UserConfig value = new UserConfig();
        value.setRunWebServer(true);
        value.setWebServerPort(8081);
        value.setSyncPeriod(60);
        return value;
    }

    public boolean isRunWebServer() {
        return runWebServer;
    }

    public void setRunWebServer(boolean runWebServer) {
        this.runWebServer = runWebServer;
    }

    public int getWebServerPort() {
        return webServerPort;
    }

    public void setWebServerPort(int webServerPort) {
        this.webServerPort = webServerPort;
    }

    public int getSyncPeriod() {
        return syncPeriod;
    }

    public void setSyncPeriod(int syncPeriod) {
        this.syncPeriod = syncPeriod;
    }
}
