package syncloud.storage;

public interface IFile extends INode, InputStreamProvider {
    static final String UNABLE_TO_GET_DATA_FOR_FILE = "unable to get data for node ";
    static final String UNABLE_TO_WRITE_DATA_TO_FILE = "unable to write data to node %s";
    static final String UNABLE_TO_DELETE_FILE = "unable to delete file %s";
    static final String UNABLE_TO_GET_VERSION_OF_FILE = "unable to get version of file %s";

    boolean exists();
    String getVersion();
    void save(InputStreamProvider inputStreamProvider, long size) throws StorageException ;
    long size();
}
