package syncloud.storage;

public abstract class IStorageMetadata {
    public abstract String getName();

    public abstract Class<? extends IStorage> getStorageClass();

    public boolean isSecured() {
        return ISecured.class.isAssignableFrom(getStorageClass());
    }
}
